AOZ Studio Beta - Bug #579

Divide by 0 error incorrectly returns NaN. Instead, it should return a divide by 0 error so On Error will
work.
Status: Feedback Start date: 11/17/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour

Target version:
Affected version: 1.0.0 (B15)

Description
It should, instead, cause a runtime error, with a proper divide by 0 error displayed.

History

#1 - 11/17/2020 12:20 PM - Brian Flanagan
- Priority changed from Normal to High

#2 - 11/17/2020 03:04 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Francois Lionet

- Priority changed from High to Normal

- Target version set to Beta 1

| cannot make it crash... "Infinity" IS a number in Javascript. Please provide an example of source code that does it so that | can prevent it from
crashing.
It is impossible to detect division by zero in a simple manner, implementing a protection would slow down every expression.

#3 - 11/18/2020 08:28 AM - Brian Flanagan
| don't understand what is complex about determining if the divisor is 0.
Sample code:

X=5/0
Print X

result:

NaN

#4 - 06/17/2022 06:11 AM - Brian Flanagan

- Subject changed from Divide by 0 error incorrectly returns a STRING " Infinity"... which causes a NaN error. to Divide by 0 error incorrectly returns
NaN. Instead, it should return a divide by 0 error so On Error will work.

- Target version deleted (Beta 1)

- Affected version changed from Beta 1 to 1.0.0 (B15)

The problem is that this should return a proper ERRN and ERR$.
This is required for On Error or other error handling to work properly.
